ROCM-AGENT-ENUMERATOR(1)

NAME
rocm_agent_enumerator - list all available AMD GCN ISA

SYNOPSIS

rocm_agent_enumerator

DESCRIPTION
rocm_agent_enumerator uses four different ways to generate the list of available AMD Graphics Core Next ISA:

1. ROCM_TARGET_LST : a user defined environment variable, set to the path and filename where to find the "target.lst" file. This can be used in an install environment with sandbox, where execution of "rocminfo" is not possible.

2. target.lst : user-supplied text file, in the same folder as "rocm_agent_enumerator". This is used in a container setting where ROCm stack may usually not available.

3. rocminfo : a tool shipped with this script to enumerate GPU agents available on a working ROCm stack.

4. lspci : enumerate PCI bus and locate supported devices from a hard-coded lookup table.